summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-08-24 00:18:03 -0400
committer Erik Hanson <erik@slackbuilds.org>2010-08-29 15:32:11 -0500
commit3e5a0a0503272a96d94292ddcaf0e5357d3f218e (patch)
treea292c997e8484bb3e9535ede10353cb5e10ddadd /games
parenta1f00d22d4a812ebe68f0e81dba088c479c5869c (diff)
downloadslackbuilds-3e5a0a0503272a96d94292ddcaf0e5357d3f218e.tar.gz
slackbuilds-3e5a0a0503272a96d94292ddcaf0e5357d3f218e.tar.xz
games/alienarena: Added (First Person Shooter)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/alienarena/README16
-rw-r--r--games/alienarena/alienarena.SlackBuild99
-rw-r--r--games/alienarena/alienarena.desktop9
-rw-r--r--games/alienarena/alienarena.info10
-rw-r--r--games/alienarena/doinst.sh3
-rw-r--r--games/alienarena/slack-desc19
6 files changed, 156 insertions, 0 deletions
diff --git a/games/alienarena/README b/games/alienarena/README
new file mode 100644
index 0000000000..eb59649c56
--- /dev/null
+++ b/games/alienarena/README
@@ -0,0 +1,16 @@
+The goal of Alien Arena was to create the perfect marriage between Quake
+and Unreal Tournament, between retro sci-fi and futuristic tech, and between
+casual gamer and advanced expert, and wrap it up in a package with quality
+that could rival that of commercial games. The game has a weapon set that
+is unique and fun, and deviates a bit away from the standard Q3 or UT2k4
+weapons. Gameplay can be altered easily in the menu by choosing between the
+various game types, such as Deathmatch, Team Core Assault, All Out Assault,
+Capture the Flag, Duel, and Cattle Prod. Users can also apply a number of
+different mutators to the game rules as well, creating some pretty interesting
+scenarios. Players can join others on servers using the in-game browser, or
+use the Galaxy client, which also serves as a way to communicate with the
+large, and friendly Alien Arena community.
+
+Alienarena requires OpenAL.
+
+Note: This slackbuild only builds the client.
diff --git a/games/alienarena/alienarena.SlackBuild b/games/alienarena/alienarena.SlackBuild
new file mode 100644
index 0000000000..814230ea80
--- /dev/null
+++ b/games/alienarena/alienarena.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+# Slackware build script for alienarena
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=alienarena
+VERSION=${VERSION:-7.45}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}${VERSION/./_}
+unzip $CWD/${PRGNAM}${VERSION/./_}-Linux20100726.zip
+cd ${PRGNAM}${VERSION/./_}
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Remove precompiled libs and executables.
+rm -f */*.so crded crx
+
+cd source
+
+# Fix home directory from codered to alienarena.
+sed -i "s|\.codered|\.${PRGNAM}|" qcommon/files.c
+
+make \
+ PREFIX=/usr \
+ CFLAGS="$SLKCFLAGS" \
+ ARCH="unknown" \
+ OSTYPE="linux" \
+ OPTIMIZED_CFLAGS=no \
+ WITH_DATADIR=yes \
+ WITH_LIBDIR=yes \
+ BUILD=CLIENT \
+ DATADIR=/usr/share/$PRGNAM \
+ LIBDIR=/usr/lib${LIBDIRSUFFIX}/$PRGNAM \
+ build-release
+
+install -D -m 0755 release/game.so $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/arena/game.so
+install -D -m 0755 release/crx $PKG/usr/games/$PRGNAM
+
+cd ..
+
+find arena botinfo data1 -type f | while read filename
+do
+ install -D -m 0644 "$filename" "$PKG/usr/share/$PRGNAM/$filename"
+done
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+install -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+install -m 0644 aa.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/{license.txt,README.txt} $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/alienarena/alienarena.desktop b/games/alienarena/alienarena.desktop
new file mode 100644
index 0000000000..f73347fc8b
--- /dev/null
+++ b/games/alienarena/alienarena.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Type=Application
+Name=Alien Arena
+Comment=Multiplayer retro sci-fi deathmatch with Friggin' Aliens
+Exec=alienarena
+Icon=alienarena
+Categories=Game;ActionGame;
+Terminal=false
+StartupNotify=false
diff --git a/games/alienarena/alienarena.info b/games/alienarena/alienarena.info
new file mode 100644
index 0000000000..9b284f7b68
--- /dev/null
+++ b/games/alienarena/alienarena.info
@@ -0,0 +1,10 @@
+PRGNAM="alienarena"
+VERSION="7.45"
+HOMEPAGE="http://icculus.org/alienarena/rpa/"
+DOWNLOAD="http://icculus.org/alienarena/Files/alienarena7_45-Linux20100726.zip"
+MD5SUM="7a02717b308f737b320586d3f1ea39e8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="dsomero"
diff --git a/games/alienarena/doinst.sh b/games/alienarena/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/alienarena/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/alienarena/slack-desc b/games/alienarena/slack-desc
new file mode 100644
index 0000000000..7fde130674
--- /dev/null
+++ b/games/alienarena/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+alienarena: alienarena (First Person Shooter)
+alienarena:
+alienarena: Alienarena is a First Person Shooter (FPS) that is similar to
+alienarena: Quake and Unreal Tournament.
+alienarena:
+alienarena: Homepage: http://icculus.org/alienarena/rpa/
+alienarena:
+alienarena:
+alienarena:
+alienarena:
+alienarena: